Recurring campaigns

GET https://pushye.com/api/recurring-campaigns/
curl --request GET \
--url 'https://pushye.com/api/recurring-campaigns/' \
--header 'Authorization: Bearer {api_key}' \
Parametrar Detaljer Beskrivning
search Valfritt StrÀng SökstrÀngen.
search_by Valfritt StrÀng Vilket fÀlt söker du efter? TillÄtna vÀrden Àr: name, title, description, url.
website_id Valfritt Heltal
datetime_field Valfritt StrÀng TillÄtna vÀrden: last_run_datetime, next_run_datetime, datetime, last_datetime
datetime_start Valfritt StrÀng Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Valfritt StrÀng Filter results up to this datetime. Y-m-d H:i:s format.
order_by Valfritt StrÀng Vilket fÀlt att sortera resultaten efter. TillÄtna vÀrden Àr: recurring_campaign_id, datetime, last_datetime, last_run_datetime, next_run_datetime, name, title, total_campaigns, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications.
order_type Valfritt StrÀng Ordningen av resultaten. TillÄtna vÀrden Àr: ASC för stigande ordning, och DESC för fallande ordning.
page Valfritt Heltal Sidanummeret som du vill ha resultat frÄn. StandardinstÀllning Àr 1.
results_per_page Valfritt Heltal Hur mÄnga resultat vill du ha per sida. TillÄtna vÀrden Àr: 10, 25, 50, 100, 250, 500, 1000. StandardvÀrde Àr 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "website_id": 1,
            "name": "Example",
            "title": "Sample message",
            "description": "This is coming from the API.",
            "url": "https://example.com",
            "image_url": null,
            "settings": {
                "ttl": 2419200,
                "urgency": "normal",
                "is_silent": 0,
                "is_auto_hide": 0,
                "button_title_1": "",
                "button_url_1": "",
                "button_title_2": "",
                "button_url_2": "",
                "frequency": "daily,
                "time": 10:25,
            },
            "segment": "all",
            "is_enabled": true,
            "total_sent_push_notifications": 0,
            "total_displayed_push_notifications": 0,
            "total_clicked_push_notifications": 0,
            "total_closed_push_notifications": 0,
            "last_sent_datetime": null,
            "last_datetime": null,
            "datetime": "2026-04-28 17:00:26",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/recurring-campaigns?page=1",
        "last": "https://pushye.com/api/recurring-campaigns?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/recurring-campaigns?page=1"
    }
}
GET https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request GET \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "website_id": 1,
        "name": "Example",
        "title": "Sample message",
        "description": "This is coming from the API.",
        "url": "https://example.com",
        "image_url": null,
        "settings": {
            "ttl": 2419200,
            "urgency": "normal",
            "is_silent": 0,
            "is_auto_hide": 0,
            "button_title_1": "",
            "button_url_1": "",
            "button_title_2": "",
            "button_url_2": "",
            "frequency": "daily,
            "time": 10:25,
        },
        "segment": "all",
        "is_enabled": true,
        "total_sent_push_notifications": 0,
        "total_displayed_push_notifications": 0,
        "total_clicked_push_notifications": 0,
        "total_closed_push_notifications": 0,
        "last_sent_datetime": null,
        "last_datetime": null,
        "datetime": "2026-04-28 17:00:26",
    }
}
POST https://pushye.com/api/recurring-campaigns
Parametrar Detaljer Beskrivning
website_id Obligatoriskt Heltal -
name Obligatoriskt StrÀng -
title Obligatoriskt StrÀng -
description Obligatoriskt StrÀng -
url Valfritt StrÀng -
image Valfritt Fil -
button_title_1 Valfritt StrÀng -
button_url_1 Valfritt StrÀng -
button_title_2 Valfritt StrÀng -
button_url_2 Valfritt StrÀng -
is_silent Valfritt Boolean -
is_auto_hide Valfritt Boolean -
ttl Valfritt StrÀng TillÄtna vÀrden: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Valfritt StrÀng -
utm_medium Valfritt StrÀng -
utm_campaign Valfritt StrÀng -
frequency Valfritt StrÀng TillÄtna vÀrden: daily, weekly, monthly
week_days Valfritt StrÀng TillÄtna vÀrden: 1, 2, 3, 4, 5, 6, 7 TillgÀnglig nÀr: frequency = weekly
month_days Valfritt StrÀng TillÄtna vÀrden: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 TillgÀnglig nÀr: frequency = monthly
time Valfritt StrÀng HH:II
is_enabled Valfritt Boolean -
curl --request POST \
--url 'https://pushye.com/api/recurring-campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
--form 'frequency=daily' \
--form 'time=12:15' \
{
    "data": {
        "id": 1
    }
}
POST https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
Parametrar Detaljer Beskrivning
website_id Valfritt Heltal -
name Valfritt StrÀng -
title Valfritt StrÀng -
description Valfritt StrÀng -
url Valfritt StrÀng -
image Valfritt Fil -
button_title_1 Valfritt StrÀng -
button_url_1 Valfritt StrÀng -
button_title_2 Valfritt StrÀng -
button_url_2 Valfritt StrÀng -
is_silent Valfritt Boolean -
is_auto_hide Valfritt Boolean -
ttl Valfritt StrÀng TillÄtna vÀrden: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200
utm_source Valfritt StrÀng -
utm_medium Valfritt StrÀng -
utm_campaign Valfritt StrÀng -
frequency Valfritt StrÀng TillÄtna vÀrden: daily, weekly, monthly
week_days Valfritt StrÀng TillÄtna vÀrden: 1, 2, 3, 4, 5, 6, 7 TillgÀnglig nÀr: frequency = weekly
month_days Valfritt StrÀng TillÄtna vÀrden: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31 TillgÀnglig nÀr: frequency = monthly
time Valfritt StrÀng HH:II
is_enabled Valfritt Boolean -
curl --request POST \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--form 'segment=all' \
{
    "data": {
        "id": 1
    }
}
DELETE https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}
curl --request DELETE \
--url 'https://pushye.com/api/recurring-campaigns/{recurring_campaign_id}' \
--header 'Authorization: Bearer {api_key}' \